<apex:page standardController="Tenant_Account__c" extensions="ValidateTAAddressCtrl" sidebar="false" showheader="False" >
    
    <html dir="ltr" lang="en-US">
        <head>
            <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
            <!--- CSS --->
        </head>
        
        <style>
            /* ------- HTML5 display-role reset for older browsers ------- */
            
            article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
                display: block;
            }
            body {
                line-height: 1;
            }
            ol, ul {
                list-style: none;
            }
            blockquote, q {
                quotes: none;
            }
            blockquote:before, blockquote:after, q:before, q:after {
                content: '';
                content: none;
            }
           
            
            /* ------- Remove Chromes border around active fields ------- */
            
            *:focus {
                outline: none;
            }
            
            /* ------- Disable background and border for input fields ------- */
            
            input {
                background: transparent;
                border: 0;
            }
            
            .Table {
                margin-top: 0px;
                font-family: Verdana, Arial;
                font-size: 14px;
                font-weight: bold; 
                color: red;
                text-align:Center;
            }
        </style>
            
        <script>
            function reload()
            {
                window.top.location.href="/lex/s/detail/{!current_TA_Id}";
            }
        </script>
        
        
        <apex:form id="fm">
            <apex:actionFunction rendered="{!callNetQual}" name="callNetQual" oncomplete="reload();" action="{!invokeNetQual}" rerender="out" status="pageStatus"/>
            <center>
                <apex:outputPanel id="out">
                    <apex:actionStatus id="pageStatus">
                        <apex:facet name="start">
                            <apex:outputPanel >
                                <img src="/img/loading32.gif" width="25" height="25" />
                                <apex:outputLabel value="Please wait while we are validating your property address..."/>
                            </apex:outputPanel>
                        </apex:facet>
                    </apex:actionStatus>
                </apex:outputPanel>
            </center>
            <apex:actionFunction rendered="{!validation_msg_exist}" name="remove_validation_msg" action="{!removeValidationMsg}" rerender="out" />
        </apex:form>
        
        <center>
            <table class="Table">
                <tr>
                    <td colspan="4" class="Table">
                        <apex:outputLabel value="{!Tenant_Account__c.Address_Validation_Message__c}" rendered="{!AND(NOT(Tenant_Account__c.Override_NetQual__c),NOT(callNetQual))}"/>
                    </td>
                </tr>
            </table>
        </center>
        <script>window.setTimeout(callNetQual,2000)</script>
        
        <!-- Calling apex function to remove data from "Address Validation Message" field of Opportunity -->
        <script>
            var call_NetQual = '{!callNetQual}';
            var validationMsg_exist = '{!validation_msg_exist}';
            
            if (call_NetQual == 'false' && validationMsg_exist == 'true'){
                window.setTimeout(remove_validation_msg, 2000);
            }
        </script>
        
    </html>
</apex:page>